"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = DialogComponent;

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _DialogActions = _interopRequireDefault(require("@material-ui/core/DialogActions"));

var _DialogContent = _interopRequireDefault(require("@material-ui/core/DialogContent"));

var _DialogTitle = _interopRequireDefault(require("@material-ui/core/DialogTitle"));

var _styles = require("@material-ui/core/styles");

var _FolderOpenOutlined = _interopRequireDefault(require("@material-ui/icons/FolderOpenOutlined"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function DialogComponent(props) {
  var _React$useState = _react["default"].useState(false),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      open = _React$useState2[0],
      setOpen = _React$useState2[1];

  var theme = (0, _styles.useTheme)();
  var dialogProps = props.dialogProps;

  var handleDialogClickOpen = function handleDialogClickOpen() {
    setOpen(true);
  };

  var handleDialogClose = function handleDialogClose() {
    setOpen(false);
  };

  var dialogTitleHtml = "";

  if (dialogProps.dialogTitle) {
    dialogTitleHtml = /*#__PURE__*/_react["default"].createElement(_DialogTitle["default"], null, dialogProps.dialogTitle);
  }

  var buttonHtml = "";

  if (dialogProps.buttonText) {
    buttonHtml = /*#__PURE__*/_react["default"].createElement(_Button["default"], {
      name: "btn" + dialogProps.btnUniqueName + "OpenDialog",
      variant: dialogProps.buttonVariant,
      color: dialogProps.buttonColor,
      onClick: handleDialogClickOpen
    }, /*#__PURE__*/_react["default"].createElement(_FolderOpenOutlined["default"], null));
  }

  var closeButtonHtml = "";

  if (dialogProps.closeButtonText) {
    closeButtonHtml = /*#__PURE__*/_react["default"].createElement(_DialogActions["default"], null, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
      name: "btn" + dialogProps.btnUniqueName + "Kapat",
      onClick: handleDialogClose,
      color: dialogProps.buttonColor
    }, dialogProps.closeButtonText));
  }

  return /*#__PURE__*/_react["default"].createElement("div", null, buttonHtml, /*#__PURE__*/_react["default"].createElement(_Dialog["default"], {
    fullWidth: dialogProps.fullWidth,
    maxWidth: dialogProps.maxWidth,
    open: open,
    onClose: handleDialogClose,
    "aria-labelledby": "form-dialog-title",
    style: {
      height: "70vh"
    }
  }, dialogTitleHtml, /*#__PURE__*/_react["default"].createElement(_DialogContent["default"], null, props.children), closeButtonHtml));
}